get2/urls.py
from django.conf.urls import *
from django.views.generic import TemplateView
from dajaxice.core import dajaxice_autodiscover, dajaxice_config

dajaxice_autodiscover()

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
    url(dajaxice_config.dajaxice_url, include('dajaxice.urls')),
    # statistiche
    url(r'^statistiche/', include('statistiche.urls')),
    url(r'^persone/', include('persone.urls')),
    #url(r'^gestione/', include('gestione.urls')),
)

urlpatterns += patterns('get2.calendario',
	# calendario
	(r'^$','views.home'),
	(r'^calendario/$', 'views.home'),
	(r'^touch/(?P<v>\w+)$', 'views.touch'),
	(r'^backup/(?P<password>\w+)$', 'views.backup'),
	(r'^calendario/(?P<cal_id>\w+)/$', 'views.calendario'),
	(r'^stampa_calendario/(?P<cal_id>\w+)/$', 'views.stampa_calendario'),
	(r'^calendario/(?P<cal_id>\w+)/(?P<azione>\w+)$', 'views.calendarioazione'),
	# utenti
	(r'^utenti/$', 'views.elenco_utente'),
	(r'^utenti/nuovo/$', 'views.nuovo_utente'),
	(r'^utenti/modifica/(?P<utente_id>\w+)/password/$', 'views.modifica_password_utente'),
	(r'^utenti/modifica/(?P<utente_id>\w+)/password_personale/$', 'views.modifica_password_personale'),
	(r'^utenti/modifica/(?P<utente_id>\w+)/$', 'views.modifica_utente'),
	(r'^utenti/elimina/(?P<utente_id>\w+)/$', 'views.elimina_utente'),
	# mansioni
	(r'^impostazioni/mansione/nuovo/(?P<padre_id>\w+)/$', 'views.nuovo_mansione'),
	(r'^impostazioni/mansione/modifica/(?P<mansione_id>\w+)/$', 'views.modifica_mansione'),
	(r'^impostazioni/mansione/elimina/(?P<mansione_id>\w+)/$', 'views.elimina_mansione'),
	# turno
	(r'^turno/(?P<cal_id>\w+)/nuovo/$', 'views.nuovo_turno'),
	(r'^turno/modifica/(?P<turno_id>\w+)/$', 'views.modifica_turno'),
	(r'^turno/elimina/(?P<turno_id>\w+)/$', 'views.elimina_turno'),
	(r'^turno/elimina_occorrenza/(?P<occorrenza_id>\w+)/$', 'views.elimina_turno_occorrenza_succ'),
	(r'^turno/elimina_occorrenza_tot/(?P<occorrenza_id>\w+)/$', 'views.elimina_turno_occorrenza'),
	(r'^cerca_persona/(?P<turno_id>\w+)/(?P<mansione_id>\w+)', 'views.cerca_persona'),
	(r'^disponibilita/(?P<turno_id>\w+)/(?P<mansione_id>\w+)/(?P<persona_id>\w+)/(?P<disponibilita>\w+)', 'views.disponibilita_url'),
	(r'^rimuovi_disponibilita/(?P<disp_id>\w+)', 'views.rimuovi_disponibilita'),
	(r'^disponibilita_gruppo/(?P<turno_id>\w+)/(?P<gruppo_id>\w+)/', 'views.disponibilita_gruppo'),
	#(r'^turno/cerca_persona/(?P<turno_id>\w+)/(?P<mansione_id>\w+)/$', 'views.turno_cerca'),
	# impostazioni
	(r'^impostazioni/$', 'views.impostazioni'),
	(r'^impostazioni/calendario/nuovo/$', 'views.nuovo_calendario'),
	(r'^impostazioni/calendario/modifica/(?P<cal_id>\w+)/$', 'views.modifica_calendario'),
	(r'^impostazioni/calendario/elimina/(?P<cal_id>\w+)/$', 'views.elimina_calendario'),
	(r'^impostazioni/tipo_turno/nuovo/$', 'views.nuovo_tipo_turno'),
	(r'^impostazioni/tipo_turno/modifica/(?P<tipo_turno_id>\w+)/$', 'views.modifica_tipo_turno'),
	(r'^impostazioni/tipo_turno/elimina/(?P<tipo_turno_id>\w+)/$', 'views.elimina_tipo_turno'),
	(r'^impostazioni/tipo_turno/aggiungi_requisito/(?P<tipo_turno_id>\w+)/$', 'views.nuovo_requisito'),
	(r'^impostazioni/requisito/modifica/(?P<requisito_id>\w+)/$', 'views.modifica_requisito'),
	(r'^impostazioni/requisito/elimina/(?P<requisito_id>\w+)/$', 'views.elimina_requisito'),
	(r'^impostazioni/notifica/nuovo/$', 'views.nuovo_impostazioni_notifica'),
	(r'^impostazioni/notifica/modifica/(?P<impostazioni_notifica_id>\w+)/$', 'views.modifica_impostazioni_notifica'),
	(r'^impostazioni/notifica/elimina/(?P<impostazioni_notifica_id>\w+)/$', 'views.elimina_impostazioni_notifica'),
	# notifiche
   	(r'^notifiche/$', 'views.elenco_notifica'),
   	(r'^notifiche/elimina/(?P<notifica_id>\w+)/$', 'views.elimina_notifica'),
)

urlpatterns += patterns('django.contrib.auth.views',
    #utente
    #(r'^utente/nuovo/$', 'turni.views.nuovoutente'),
    (r'^utenti/reset/$', 'password_reset'),
    (r'^utenti/reset/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+)/$', 'password_reset_confirm'),
    (r'^utenti/reset/completa/$', 'password_reset_complete'),
    (r'^utenti/reset/ok/$', 'password_reset_done'),
    )

urlpatterns += patterns('',
    (r'^accounts/login/$', 'django.contrib.auth.views.login', {'template_name':'registration/login.html'} ),
    (r'^accounts/logout/$', 'django.contrib.auth.views.logout', {'next_page': '/'}),
    )

#urlpatterns = patterns('',
#    url(r'', include('gcm.urls')),
#)

get2/calendario/models.py
from django.db import models
from django import forms
from django.contrib.auth.models import User
import operator, datetime
from django.contrib.auth.forms import UserCreationForm, UserChangeForm
import pdb
from crispy_forms.helper import FormHelper
from crispy_forms.layout import Layout, Fieldset, ButtonHolder, Submit, Field, MultiField, HTML
from crispy_forms.bootstrap import *
from django.utils.text import capfirst
from persone.models import *

STATI=(('disponibile','Disponibile'),('ferie','In ferie'),('malattia','In malattia'),('indisponibile','Indisponibile'))

GIORNI=((1, '1'), (2, '2'), (3, '3'), (4, '4'), (5, '5'), (6, '6'), (7, '7'))

class Calendario(models.Model):
	nome = models.CharField('Nome',max_length=20)
	priorita = models.IntegerField('priorita', default=0, )
	class Meta:
		ordering = ['priorita']
	def __unicode__(self):
		return '%s' % (self.nome)
		
class CalendarioForm(forms.ModelForm):
	class Meta:
		model = Calendario
	def __init__(self, *args, **kwargs):
		self.helper = FormHelper()
		self.helper.layout = Layout(
			Field('nome'),
			Field('priorita'),
			FormActions(
				Submit('save', 'Invia', css_class="btn-primary")
			)
		)
		super(CalendarioForm, self).__init__(*args, **kwargs)



class TipoTurno(models.Model):
	identificativo = models.CharField(max_length=30, blank=False)
	priorita = models.IntegerField('priorita', default=0, )
	msg_errore = models.TextField('Messaggio errore disponibilita', blank=True, null=True, help_text="Il messaggio viene visualizzato nel caso non sia possibile modificare la disponibilta")
	#msg_lontano = models.TextField( blank=True, null=True, )
	def __unicode__(self):
		return '%s' % (self.identificativo)

class TipoTurnoForm(forms.ModelForm):
	class Meta:
		model = TipoTurno
	def __init__(self, *args, **kwargs):
		self.helper = FormHelper()
		self.helper.layout = Layout(
			Field('identificativo'),
			Field('priorita'),
			Field('msg_errore'),
			FormActions(
				Submit('save', 'Invia', css_class="btn-primary")
			)
		)
		super(TipoTurnoForm, self).__init__(*args, **kwargs)



class Requisito(models.Model):
	mansione=models.ForeignKey(Mansione, related_name="req_mansione")
	minimo=models.IntegerField('Minimo', default=0,)
	massimo=models.IntegerField('Massimo', default=0, help_text="Se 0 non c'e' limite")
	tipo_turno=models.ForeignKey(TipoTurno, related_name="req_tipo_turno",)
	necessario=models.BooleanField('Necessario', default=True, help_text="Se selezionato il requisito deve essere soddisfatto")
	sufficiente=models.BooleanField('Sufficiente', default=False, help_text="Se il requisito e' soddisfatto il turno risulta coperto in ogni caso")
	nascosto=models.BooleanField('Nascosto', default=False, help_text="Se il requisito risulta nascosto verra comunque verificato ma la persona non potra' segnarsi in quel ruolo")
	extra=models.BooleanField('Extra', default=False, help_text="Il requisito viene verificato su tutte le capacita delle persone disponibili, indipendentemtne dal loro ruolo nel turno")
	ignora_gerarchie=models.BooleanField('Ignora gerarchie', default=False, help_text="Durante la verfica vengono ignorate le gerarchie tra le mansioni")
	def clickabile(self):
		return  not (self.extra or self.nascosto)
	def save(self, *args, **kwargs):
		super(Requisito, self).save(*args, **kwargs)
		for t in Turno.objects.filter(tipo=self.tipo_turno, inizio__gte=datetime.datetime.now().date()):
			t.coperto = t.calcola_coperto_cache()
			t.save()
	def delete(self, *args, **kwargs):
		super(Requisito, self).delete(*args, **kwargs)
		for t in Turno.objects.filter(tipo=self.tipo_turno, inizio__gte=datetime.datetime.now().date()):
			t.coperto = t.calcola_coperto_cache()
			t.save()

class RequisitoForm(forms.ModelForm):

	class Meta:
		model = Requisito
		exclude = ('tipo_turno',)
	def __init__(self, *args, **kwargs):
		self.helper = FormHelper()
		self.helper.layout = Layout(
			Field('mansione'),
			Field('minimo'),
			Field('massimo'),
			Field('necessario'),
			Field('sufficiente'),
			Field('nascosto'),
			Field('extra'),
			Field('ignora_gerarchie'),
			FormActions(
				Submit('save', 'Invia', css_class="btn-primary")
			)
		)
		super(RequisitoForm, self).__init__(*args, **kwargs)
		
GIORNO = (
  (0, 'lunedi'),
  (1, 'martedi'),
  (2, 'mercoledi'),
  (3, 'giovedi'),
  (4, 'venerdi'),
  (5, 'sabato'),
  (6, 'domenica'),
  )

GIORNO_EXT = GIORNO + (
  (103, 'feriale'),
  (101, 'prefestivo'),
  (102, 'festivo'),
  (99, 'qualsiasi'),
  )

class FiltroCalendario(forms.Form):
	giorni = forms.MultipleChoiceField( label = "",	choices = GIORNO_EXT[0:10], required = False, )
	def __init__(self, *args, **kwargs):
		self.helper = FormHelper()
		self.helper.form_id = 'FiltroCalendario'
		self.helper.layout = Layout(
			InlineCheckboxes('giorni'),
			ButtonHolder( Submit('submit', 'Filtra', css_class='button white'), ),)
		self.helper.form_method = 'post'
		#self.helper.form_action = 'submit_survey'
		super(FiltroCalendario, self).__init__(*args, **kwargs)

class Occorrenza(models.Model):
	pass

class Turno(models.Model):
	identificativo = models.CharField(max_length=30, blank=True , default='')
	inizio = models.DateTimeField()
	fine = models.DateTimeField()
	tipo = models.ForeignKey(TipoTurno, blank=True, null=True, on_delete=models.SET_NULL)
	occorrenza = models.ForeignKey(Occorrenza, blank=True, null=True)
	valore = models.IntegerField('Punteggio',default=1)
	calendario = models.ForeignKey(Calendario, null=True, on_delete=models.SET_NULL, default=1)
	coperto = models.BooleanField(default=False)
	requisiti = models.ManyToManyField(Requisito, blank=True, null=True, related_name='requisiti_turno', through='Cache_requisito')
	def verifica_requisito(self,requisito,mansione_id=0,persona_capacita=0):
		if requisito.necessario:
			contatore=0
			if mansione_id!=0 and persona_capacita!=0:
				f=[Mansione.objects.get(id=mansione_id)]
				if not requisito.ignora_gerarchie:
					f+=figli(mansione_id)
				if (not requisito.extra and requisito.mansione in f):
					contatore+=1
				if (requisito.extra and requisito.mansione in persona_capacita):
					contatore+=1
			for d in self.turno_disponibilita.filter(tipo="Disponibile").exclude(mansione__isnull=True).all():
				if not requisito.extra:
					f=[d.mansione]
					if not requisito.ignora_gerarchie:
						f+=figli(d.mansione.id)
					if (requisito.mansione in f):
						contatore+=1
				else:
				 	if (requisito.mansione in d.persona.capacita() ):
						contatore+=1
				if contatore>requisito.massimo and requisito.massimo!=0:
					return False
			if contatore<requisito.minimo and requisito.minimo!=0:
				return False
			return True
		else:
			return True
	def posti_liberi(self,requisito):
		posti = requisito.requisito.minimo - requisito.disponibilita.filter(tipo="Disponibile").exclude(mansione__isnull=True).count()
		if posti >0:
			return range(posti)
		return range(0)
	def calcola_coperto(self):
		if self.tipo:
			for r in Requisito.objects.filter(tipo_turno=self.tipo_id):
				if not self.verifica_requisito(r):
					return False
				elif r.sufficiente:
					return True
		return True
	def calcola_coperto_cache(self):
		if self.tipo:
			for c in Cache_requisito.objects.filter(turno=self):
				if not c.verificato:
					return False
				elif c.requisito.sufficiente:
					return True
		return True
	def contemporanei(self):
		i=self.inizio+datetime.timedelta(seconds=60)
		f=self.fine-datetime.timedelta(seconds=60)
		return Turno.objects.filter( (models.Q(inizio__lte=i) & models.Q(fine__gte=f)) | models.Q(inizio__range=(i ,f)) | models.Q(fine__range=(i,f)) ).exclude(id=self.id)
	def mansioni(self):
		return Mansione.objects.filter(req_mansione__tipo_turno=self.tipo)
	def mansioni_indisponibili(self,persona):
		m_d=[]
		p=Persona.objects.get(id=persona)
		persona_capacita=p.capacita()
		#pdb.set_trace()
		for m in persona_capacita:
			for r in self.tipo.req_tipo_turno.all():
				if (self.verifica_requisito(r) and not self.verifica_requisito(r,mansione_id=m.id,persona_capacita=persona_capacita) ):
					m_d.append(m)
		return m_d
	def save(self, *args, **kwargs):
		self.inizio = self.inizio.replace(second=0)
		self.fine = self.fine.replace(second=0)
		super(Turno, self).save(*args, **kwargs)
		requisiti = self.tipo.req_tipo_turno.all()
		for c in Cache_requisito.objects.filter(turno=self):
			if c.requisito not in requisiti:
				c.delete()
		for r in requisiti:
			try:
				cr=Cache_requisito.objects.get(turno=self,requisito=r)
			except:
				cr=Cache_requisito(turno=self,requisito=r,verificato=False)
				cr.save()
			cr.verificato=self.verifica_requisito(r)
			cr.disponibilita=self.turno_disponibilita.filter(tipo="Disponibile",mansione=r.mansione)
			cr.save()
		self.coperto = self.calcola_coperto_cache()
		super(Turno, self).save(*args, **kwargs)




class TurnoForm(forms.ModelForm):
	modifica_futuri=forms.BooleanField(label="modifica occorrenze future",required=False, help_text="<i class='icon-warning-sign'></i> sara' modificato solo l'orario e non la data!")
	modifica_tutti=forms.BooleanField(label="modifica tutte le occorrenze",required=False, help_text="<i class='icon-warning-sign'></i> sara' modificato solo l'orario e non la data!")
	#durata=forms.SelectField(label="Durata del turno", required=True, choices=DURATA)
	def __init__(self, *args, **kwargs):
		self.helper = FormHelper()
		self.helper.layout = Layout(
			Field('identificativo'),
			AppendedText(
				'inizio', '<i class="icon-calendar"></i>'
			),
			AppendedText(
				'fine', '<i class="icon-calendar"></i>'
			),
			#Field('durata'),
			Field('tipo'),
			Field('valore'),
			Field('calendario'),
			FormActions(
				Submit('save', 'Modifica', css_class="btn-primary")
			)
		)
		super(TurnoForm, self).__init__(*args, **kwargs)
		self.fields['tipo'].required = True
	class Meta:
		model = Turno
		exclude = ('occorrenza','requisiti')
	def clean(self):
		data = self.cleaned_data
		if data.get('inizio')>data.get('fine'):

mezzi/models.py
from django.db import models

# Create your models here.

STATI_MEZZI=( ('disponbile','Disponibile'), ('indisponibile','Non Disponibile'), )


class Mezzo(models.Model):
	targa=models.CharField('Targa', max_length=7)
	marca=models.CharField('Marca costrutrice', max_length=20)
	modello=models.CharField('Modello', max_length=20)
	stato=models.CharField('Stato', max_length=40, choices=STATI_MEZZI, default='disponibile')

get2/calendario/templates/cerca_persona.html
{% extends "base.html" %}
{% load static %}


{% block head %}
	<script src="/static/js/jquery.tablesorter.min.js"></script>
	<script src="/static/js/jquery.tablesorter.widgets.min.js"></script>
	<script src="/static/js/jquery.tablesorter.widgets-filter-formatter.min.js"></script>
	<link href="/static/css/theme.bootstrap.css" rel="stylesheet">
{% endblock%}

{% block header %}
		<h4 class="header">
			<a href="/calendario/{{t.calendario.id}}">Calendario</a>
			<i class="icon-angle-right"></i>
			{{t.inizio|date}} ({{t.inizio|time:"H:i"}} - {{t.fine|time:"H:i"}})
			<i class="icon-angle-right"></i>
			Cerca {{mansione}}
		</h4>
{% endblock %}

{% block main %}

<script type="text/javascript">
function disp(selettore){
	value=selettore.options[selettore.selectedIndex].value;
	classe=selettore.className;
	if (selettore.options[0].value==''){
		selettore.remove(0);}
	dati=value.split("/");
	$('#loading').removeClass('hidden');
	Dajaxice.get2.calendario.disp(Dajax.process,{'turno_id':dati[0],'mansione_id':dati[1],'persona_id':dati[2],'disp':dati[3]});
	
}

function nota_disponibilita(disp_id){
	selettore=$('#note-disp-'+disp_id)
	Dajaxice.get2.calendario.disp_nota(Dajax.process,{'disp_id':disp_id,'nota':selettore.val()});
}
</script>

<div class="row-fluid">
	<div class="span1">
		<div class="box">
			<div class="box-header">
				<h5>Anteprima</h5>
			</div>
			<div class="box-content" id="anteprima" style="padding:0px;">
				{% include "turno.html" %}
				<div style="clear:both;"></div>
			</div>
		</div>
	</div>
	<div class="span6">
		<div class="box">
			<div class="box-header">
					<h5><i class="icon-search"></i> Cerca persone</h5>
			</div>
			<div class="box-content">
				<table class="table table-striped no-more-tables" id="cerca_persona">
				<thead>
					<tr>
					<th>Nome</th><th>Capacita'</th><th>Telefono</th></th><th>Disponibilita'</th>
					</tr>
				</thead>
				{%for persona in persone%}
					{%for c in t.contemporanei.all %}
						{% for d in c.turno_disponibilita.all %}
						{% if persona = d.persona %}
						<script type="text/javascript">
						$(document).ready(function(){
							var s = $('#sel-{{persona.id}}');
							//s.remove(0);
							if('{{d.mansione.id}}'!='{{mansione.id}}' || '{{c.id}}'!='{{t.id}}'){
								if('{{d.tipo}}'=='Disponibile'){
									s.empty();
									s.append("<option value=''>Gia Impegnato</option>");
									$('#persona-{{persona.id}}').addClass("error");
								}
								else {$('#sel-{{persona.id}} option').filter(function() { return this.text == '{{d.get_tipo_display}}';}).prop('selected', true);
									 $('#disponibilita-{{persona.id}}').html('<div class="input-prepend input-append small"><span class="add-on"><i class="icon-comment"></i></span><input id="note-disp-{{d.id}}" type="text" value="{{d.note}}"><button class="btn" type="button" onclick="nota_disponibilita({{d.id}});">salva</button></div></br>{{d.creata_da}}:{{d.ultima_modifica|date:"d M"}} {{d.ultima_modifica|time:"H:i"}}');
									}
							}
							else { $('#sel-{{persona.id}} option').filter(function() { return this.text == '{{d.get_tipo_display}}';}).prop('selected', true);
								 $('#disponibilita-{{persona.id}}').html('<div class="input-prepend input-append small"><span class="add-on"><i class="icon-comment"></i></span><input id="note-disp-{{d.id}}" type="text" value="{{d.note}}"><button class="btn" type="button" onclick="nota_disponibilita({{d.id}});">salva</button></div></br>{{d.creata_da}}:{{d.ultima_modifica|date:"d M"}} {{d.ultima_modifica|time:"H:i"}}');
								} }
						);
						</script>
						{% endif %}
						{% endfor %}
					{% endfor %}
					{% for d in t.turno_disponibilita.all %}
					 {% if persona = d.persona and d.mansione.id != mansione.id and d.tipo = "Disponibile" %}
					  <script type="text/javascript">
						  $(document).ready(function(){
							  var s = $('#sel-{{persona.id}}');
							  $("#sel-{{persona.id}} option:first").remove();
							  s.prepend("<option value=''>{{d.mansione}} </option>");
							  $("#sel-{{persona.id}} option:first").prop('selected', true);
							  $('#disponibilita-{{persona.id}}').html('<div class="input-prepend input-append small"><span class="add-on"><i class="icon-comment"></i></span><input id="note-disp-{{d.id}}" type="text" value="{{d.note}}"><button class="btn" type="button" onclick="nota_disponibilita({{d.id}});">salva</button></div></br>{{d.creata_da}}:{{d.ultima_modifica|date:"d M"}} {{d.ultima_modifica|time:"H:i"}}');
							  
							}
							);
					  </script> 
					 {% endif %}
					 {% if persona = d.persona and d.mansione.id = mansione.id %}
					  <script type="text/javascript">
						$(document).ready(function(){
							$('#sel-{{persona.id}} option').filter(function() { return this.text == '{{d.get_tipo_display}}'; }).prop('selected', true);
							{% if not request.user.is_superuser %}
								$("#sel-{{persona.id}} option:first").remove();
							{% endif %}
							$('#disponibilita-{{persona.id}}').html('<div class="input-prepend input-append small"><span class="add-on"><i class="icon-comment"></i></span><input id="note-disp-{{d.id}}" type="text" value="{{d.note}}"><button class="btn" type="button" onclick="nota_disponibilita({{d.id}});">salva</button></div></br>{{d.creata_da}}:{{d.ultima_modifica|date:"d M"}} {{d.ultima_modifica|time:"H:i"}}');
							}
						);
					  </script> 
					 {% endif %}
					{% endfor %}
					<tr {%if persona.stato != 'disponibile'%} class="error" {%endif%} id="persona-{{persona.id}}">
					<td data-title="Nome" class="nome">{{persona}}</td>
					<td data-title="Mansioni" class="mansioni">{% for m in persona.capacita %}<span class="badge-mansione">{{m}}</span>  {% endfor %}</td>
					<td data-title="telefono">{{persona.telefono|safe}}</td>
					<td data-title="Disponibilita" class="disponibilita">
						<SELECT NAME="stato" class="span7" ONCHANGE="disp(this);" id="sel-{{persona.id}}">
							<OPTION VALUE="{{t.id}}/{{mansione.id}}/{{persona.id}}/-">----
							{%for key,value in DISPONIBILITA %}
								<OPTION VALUE="{{t.id}}/{{mansione.id}}/{{persona.id}}/{{key}}">{{value}}
							{% endfor%}
							</SELECT>
						</br>

				<div id="disponibilita-{{persona.id}}"></div>
					</td>
					</tr>

				<script>
				$(document).ready(function() {
					if('disponibile'!='{{persona.stato}}'){
					$("#sel-{{persona.id}}").hide();
					$("#persona-{{persona.id}} td.disponibilita").html("{{persona.get_stato_display}}");
					
					}
					$("#titolo-turno-{{t.id}} .dropdown").hide();
					$('.h6-mansione-{{mansione.id}}').addClass("mansione-sel");
				});
				</script>

				{% endfor%}
			</table>
			</div>
		</div>
	</div>
</div>


<script type="text/javascript">
$(document).ready(function(){

	$("table#cerca_persona").tablesorter({
		textExtraction: {
			4: function(node, table, cellIndex){ 
				return $('select option:selected',node).text();  },
		},
		sortList: [[4,1]],
		theme : "bootstrap",widthFixed: true,headerTemplate : '{content} {icon}',widgets : [ "uitheme", "filter", "zebra" ],
		widgetOptions : {zebra : ["even", "odd"], filter_reset : ".reset",	}
		});
});
</script>

{% endblock %}

get2/calendario/templates/form_calendario.html
{% extends "base.html" %}
{% load crispy_forms_tags %}
{% block title %} Inserimento/Modifica Calendario {% endblock %}	


{% block header %}
    <h4 class="header"><a href="/impostazioni">Impostazioni</a>
    <i class="icon-angle-right"></i>
    {{azione}} Calendario
{% endblock %}

{% block main %}
<div style="margin:10px;">

  {% crispy form %}

</div>
  
{% endblock %}

get2/calendario/templates/form_mansione.html
{% extends "base.html" %}
{% load static %}
{% load crispy_forms_tags %}

{% block head %}
	<script src="/static/js/jquery.minicolors.js"></script>
	<link href="/static/css/jquery.minicolors.css" rel="stylesheet">
{% endblock%}

{% block header %}
		<h4 class="header"><a href="/impostazioni/">Impostazioni</a>
		<i class="icon-angle-right"></i>
		{{azione}} mansione
{% endblock %}

{% block main %}
<div style="margin:10px;">
  {% if error_message %}
    <p><strong>{{ error_message }}</strong></p>
  {% endif %}

  {% crispy form %}
</div>
{% endblock %}

get2/calendario/templates/form_password_personale.html
{% extends "base.html" %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} Modifica password personale {% endblock %}        

{% block header %}

    <h4 class="header">Modifica password personale</h4>

{% endblock %}

{% block main %}
<div style="margin:10px;">
  {% if form.non_field_errors %}
              <div class="alert alert-error"><p>{{ form.non_field_errors }}</p></div>
  {% endif %}

  <form action="/utenti/modifica/{{ user.id }}/password_personale/" method="post">{% csrf_token %}
 
  {%for field in form %}
    <div id="div_{{field.name}}" class="control-group {%if field.errors %}error{%endif%}">
      <label for="{{field.name}}" class="control-label requiredField">
        {{field.label}}<span class="asteriskField">*</span>
      </label>
      <div class="controls">
        {{field}}
        {%if field.errors %}
          <span class="help-inline">{{field.errors}}</span>
        {%endif%}
      </div>
    </div>

  {% endfor %}
  <div class="form-actions">
  <input type="submit" value="Invia" class="btn btn-primary"/> <input type="reset" value="cancella" class="btn">
  </div>
  </form>         
  
</div>
{% endblock %}